This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 232725 - Review Request: eclipse-mylar - A task-focused UI for Eclipse
Review Request: eclipse-mylar - A task-focused UI for Eclipse
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Package Reviews List
:
Depends On: 232728 233004
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-16 16:56 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-31 19:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fitzsim: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2007-03-16 16:56:47 EDT
Spec URL: http://overholt.ca/fedora/eclipse-mylar.spec
SRPM URL: http://overholt.ca/fedora/eclipse-mylar-1.0-1.src.rpm

Description:

Mylar reduces information overload in Eclipse and makes multi-tasking easy.  It
does this by making tasks a first class part of Eclipse, and integrating rich
and offline editing for repositories such as Bugzilla, Trac, and JIRA. Once your
tasks are integrated, Mylar monitors your work activity to identify information
relevant to the task-at-hand, and uses this task context to focus the Eclipse UI
on the interesting information, hide the uninteresting, and automatically find
what's related. This puts the information you need to get work done at your
fingertips and improves productivity by reducing searching, scrolling, and
navigation. By making task context explicit Mylar also facilitates multitasking,
planning, reusing past efforts, and sharing expertise.
Comment 1 Andrew Overholt 2007-03-16 16:59:38 EDT
This blocks on xmlrpc3 (which I've yet to submit) and ws-commons-util (Anthony:
 can you please add a blocker when you've submitted that).

xmlrpc3 in turn blocks on maven2 ... good times.  Hopefully this can all be
sorted out by the freeze on Tuesday.

In the meantime, I've commented out the symlinking to existing jars so that this
builds.
Comment 2 Thomas Fitzsimmons 2007-03-19 18:43:44 EDT
MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
? source and patches verified

  - eclipse projects don't release source tarballs, right?

  - the tarball creation steps worked, but an md5sum on the result didn't match
    the source tarball.  Maybe the "tarball recipe" could be modified to always
    produce a tarball with the same md5sum, perhaps by sorting the files list
    and manipulating timestamps...

  - should there be a URL tag pointing to the Mylar project home page?

X summary and description okay

  - see rpmlint comments

* correct buildroot
* %{?dist} used properly
* license text included in package and marked with %doc
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output

  - $ rpmlint eclipse-mylar-1.0-1.src.rpm 
    E: eclipse-mylar description-line-too-long and offline editing for
repositories such as Bugzilla, Trac, and JIRA. Once your
    E: eclipse-mylar description-line-too-long relevant to the task-at-hand, and
uses this task context to focus the Eclipse UI
    E: eclipse-mylar description-line-too-long navigation. By making task
context explicit Mylar also facilitates multitasking,
    W: eclipse-mylar non-standard-group Eclipse Plugins
    W: eclipse-mylar invalid-license EPL
    W: eclipse-mylar no-url-tag
    W: eclipse-mylar strange-permission fetch-mylar.sh 0600

    I agree with rpmlint that these things should be fixed.

* changelog fine
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License and not Copyright used
* Summary tag does not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
? specfile is legible

  - are all those Requires and Provides commented because of the missing
    dependencies in Rawhide, or some other reason?

* package successfully compiles and builds on at least x86
X BuildRequires are proper

  - commented out BuildRequires explained in bugzilla comments: OK

  - since you explicitly use the eclipse binary in %build, I'd like to see an
    explicit BuildRequires on its provider, eclipse-platform (even though it's
    brought in indirectly by eclipse-pde)

* summary is a short and concise description of the package
* description expands upon summary
* make sure lines are <= 80 characters

  - is your editor set to wrap after column 80 (zero-indexed) instead of after
    79 (zero-indexed)?

  - the %build an %install indenting is inconsistent (not a big deal)

* specfile written in American English
* no -doc sub-package necessary
* no static libs
* no rpath
* config files should marked with %config(noreplace)
* not a GUI app
* sub-packages fine
X macros used appropriately and consistently
  - %{buildroot} vs. $RPM_BUILD_ROOT
* %makeinstall not used
* no locale data
* Requires(pre,post) fine
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
? file permissions okay; %defattrs present

  - why do you explicitly state the first and last defattrs sets, rather than
    just using '-'?

* %clean present
? %doc files do not affect runtime

  - the doc files are in the features directory -- are they displayed by a GUI
    window or otherwise used in a way that would break if they weren't there?

* not a webapp
? verify the final provides and requires of the binary RPMs

  - will have to verify this when the package builds

SHOULD:
* package should include license text in the package and mark it with %doc
X package should build on x86_64

I'm getting this build failure:

+ eclipse -nosplash -application org.eclipse.ant.core.antRunner -Dtype=feature
-Did=org.eclipse.mylar_feature
-DbaseLocation=/home/fitzsim/rpmbuild/BUILD/org.eclipse.mylar/SDK
-DsourceDirectory=/home/fitzsim/rpmbuild/BUILD/org.eclipse.mylar
-DbuildDirectory=/home/fitzsim/rpmbuild/BUILD/org.eclipse.mylar/build
-Dbuilder=/usr/share/eclipse/plugins/org.eclipse.pde.build/templates/package-build
-f /usr/share/eclipse/plugins/org.eclipse.pde.build/scripts/build.xml -vmargs
-Duser.home=/home/fitzsim/rpmbuild/BUILD/org.eclipse.mylar/home
-DJ2SE-1.5=/usr/lib/jvm/java/jre/lib/rt.jar

(eclipse:9246): Gtk-WARNING **: cannot open display:  
error: Bad exit status from /var/tmp/rpm-tmp.87465 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.87465 (%build)

on a Rawhide x86_64 machine.

? package should build in mock
Comment 3 Andrew Overholt 2007-03-19 19:23:42 EDT
Updated SRPM and spec:

http://overholt.ca/fedora/eclipse-mylar.spec
http://overholt.ca/fedora/eclipse-mylar-1.0-1.src.rpm

(In reply to comment #2)
> ? source and patches verified
> 
>   - eclipse projects don't release source tarballs, right?

Not normally, no.  I've spoken with the project leader and he says he'll gladly
do so if I provide some patches for his build scripts.  I'll do that at some
point in the future.

>   - the tarball creation steps worked, but an md5sum on the result didn't match
>     the source tarball.  Maybe the "tarball recipe" could be modified to always
>     produce a tarball with the same md5sum, perhaps by sorting the files list
>     and manipulating timestamps...

I'm not sure if this is possible.  Is is a blocker?

>   - should there be a URL tag pointing to the Mylar project home page?

Oops, fixed.

> X summary and description okay

:)  Chopped.

> X rpmlint on <this package>.srpm gives no output
> 
>   - $ rpmlint eclipse-mylar-1.0-1.src.rpm 
>     E: eclipse-mylar description-line-too-long

Fixed.

>     W: eclipse-mylar non-standard-group Eclipse Plugins

Fixed.

>     W: eclipse-mylar invalid-license EPL

Fixed.

>     W: eclipse-mylar no-url-tag

Fixed.

>     W: eclipse-mylar strange-permission fetch-mylar.sh 0600

Fixed.
> ? specfile is legible
> 
>   - are all those Requires and Provides commented because of the missing
>     dependencies in Rawhide, or some other reason?

They're part of my plan to rework how we do BRs and Rs for Eclipse plugins.  I'd
like to keep them if that's okay.  They'll be uncommented and used in the future.

>   - since you explicitly use the eclipse binary in %build, I'd like to see an
>     explicit BuildRequires on its provider, eclipse-platform (even though it's
>     brought in indirectly by eclipse-pde)

Done.

> * make sure lines are <= 80 characters
> 
>   - is your editor set to wrap after column 80 (zero-indexed) instead of after
>     79 (zero-indexed)?

I don't know.

>   - the %build an %install indenting is inconsistent (not a big deal)

You mean the \'s?  I fixed the one that looked weird to me.

> X macros used appropriately and consistently
>   - %{buildroot} vs. $RPM_BUILD_ROOT

What's wrong here?

> ? file permissions okay; %defattrs present
> 
>   - why do you explicitly state the first and last defattrs sets, rather than
>     just using '-'?

Fixed.

> ? %doc files do not affect runtime
> 
>   - the doc files are in the features directory -- are they displayed by a GUI
>     window or otherwise used in a way that would break if they weren't there?

I don't think so.

> ? verify the final provides and requires of the binary RPMs
> X package should build on x86_64
> 
> I'm getting this build failure:

Hmm.  That's with the latest rawhide Eclipse package?  If so, can you post
<buildroot>/home/workspace/.metadata/.log?
Comment 4 Thomas Fitzsimmons 2007-03-19 20:00:05 EDT
(In reply to comment #3)

> >   - the tarball creation steps worked, but an md5sum on the result didn't match
> >     the source tarball.  Maybe the "tarball recipe" could be modified to always
> >     produce a tarball with the same md5sum, perhaps by sorting the files list
> >     and manipulating timestamps...
> 
> I'm not sure if this is possible.  Is is a blocker?

Nope, just a suggestion for a future improvement.

> >   - are all those Requires and Provides commented because of the missing
> >     dependencies in Rawhide, or some other reason?
> 
> They're part of my plan to rework how we do BRs and Rs for Eclipse plugins.  I'd
> like to keep them if that's okay.  They'll be uncommented and used in the future.

Sure, sounds fine.

> >   - the %build an %install indenting is inconsistent (not a big deal)
> 
> You mean the \'s?  I fixed the one that looked weird to me.

I just meant the number of spaces used to indent a wrapped shell command (5
spaces in %build, 1 in %install).

> 
> > X macros used appropriately and consistently
> >   - %{buildroot} vs. $RPM_BUILD_ROOT
> 
> What's wrong here?

You mix the use of %{buildroot} and $RPM_BUILD_ROOT -- the packaging guidelines
say you should use one or the other consistently.

> > I'm getting this build failure:
> 
> Hmm.  That's with the latest rawhide Eclipse package?  If so, can you post
> <buildroot>/home/workspace/.metadata/.log?

Actually, the yum update I attempted didn't pull in the latest packages.  I'm
trying again with:

yum update eclipse\*

I'll post my build results and the outstanding post-build review items later.
Comment 5 Thomas Fitzsimmons 2007-03-19 23:50:58 EDT
I'm still seeing:

$ rpmlint /home/fitzsim/rpmbuild/SRPMS/eclipse-mylar-1.0-1.src.rpm
W: eclipse-mylar strange-permission fetch-mylar.sh 0600

which should be fixed before building in plague.

* verify the final provides and requires of the binary RPMs

  - verified

* package should build on one architecture

  - confirmed build on x86_64

I tried to build in mock but setup failed for reasons external to your package.

APPROVED.
Comment 6 Andrew Overholt 2007-03-20 00:02:58 EDT
(In reply to comment #5)
> $ rpmlint /home/fitzsim/rpmbuild/SRPMS/eclipse-mylar-1.0-1.src.rpm
> W: eclipse-mylar strange-permission fetch-mylar.sh 0600
> 
> which should be fixed before building in plague.

I'm not sure how to fix this.  I've got the permissions on 0755 in my
~/rpmbuild/SOURCES.  I don't think it's too big of a deal since someone wishing
to regenerate the source can just do sh ./fetch-mylar.sh.  I really want to get
this built before the freeze so I can look at fixing it afterwards.

Thanks, Tom.
Comment 7 Andrew Overholt 2007-03-20 00:08:50 EDT
New Package CVS Request
=======================
Package Name: eclipse-mylar
Short Description: A task-focused UI for Eclipse.
Owners: overholt@redhat.com
Branches: devel, FC-6
InitialCC: 
Comment 8 Jens Petersen 2007-03-20 04:26:53 EDT
done (I removed the fullstop in the description)
Comment 9 Andrew Overholt 2007-08-13 13:56:37 EDT
Package Change Request
======================
Package Name: eclipse-mylar
Re-name package to eclipse-mylyn.  I can take care of the actual specfile
re-naming and the re-naming of the generated packages.  Thanks.
Comment 10 Kevin Fenzi 2007-08-14 15:59:58 EDT
Sorry for the delay here... we are trying to figure out how best to handle
renames with the packagedb. Right now I think we are leaning toward just making
a new package with the new name. That of course doesn't preserve any history in
the new module. ;( 
Comment 11 Kevin Fenzi 2007-08-21 19:43:31 EDT
ok. I have created a new eclipse-mylyn package for you. 
Can you please follow the end of life procedure for the old package name: 
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

Also, be carefull about Obsoletes and Provides on the new package. 
See:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d


Comment 12 Andrew Overholt 2007-08-23 10:56:07 EDT
Did things not get imported into the new package in CVS?
Comment 13 Kevin Fenzi 2007-08-23 11:47:41 EDT
I didn't import anything into the new package...
I thought you would generate a new spec or src.rpm with the new name and import
it. (just as you would if it was a new package). 
Comment 14 Andrew Overholt 2007-08-23 11:49:18 EDT
Okay, that's what I suspected.  Thanks!
Comment 15 Andrew Overholt 2007-08-23 12:17:24 EDT
Kevin:  should I be getting odd errors with the new makefile?

$ make help
rpmq: no arguments given for query
rpmq: no arguments given for query

Note You need to log in before you can comment on or make changes to this bug.